<?php
/* 
Copyright (c) 2013, seogroup.com
 
This program is free software; you can redistribute it and/or 
modify it under the terms of the GNU General Public License 
as published by the Free Software Foundation; either version 2 
of the License, or (at your option) any later version. 
 
This program is distributed in the hope that it will be useful, 
but WITHOUT ANY WARRANTY; without even the implied warranty of 
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
GNU General Public License for more details. 
 
You should have received a copy of the GNU General Public License 
along with this program; if not, write to the Free Software 
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA. 
*/
?>

<script type="text/javascript" src="../wp-content/plugins/MySiteAuditor-Notification-Bar/js/jscolor.js"></script>
<script type="text/javascript" src="../wp-content/plugins/MySiteAuditor-Notification-Bar/js/functions.js"></script>

<div class="wrap">

<?php 

$settingsAdImageUrl = 'http://mysiteauditor.com/blog/wp-content/uploads/2015/08/plugin.jpg';
$settingsAdLink = 'http://mysiteauditor.com/';

$option_name = '_MySiteAuditor_Notification_Bar_options';
$new_value = serialize($_POST);

if( isset($_POST['saved']) ){
	
	if ( get_option( $option_name ) !== false ) {
	
		// The option already exists, so we just update it.
		update_option( $option_name, $new_value );	
		echo '<div id="message" class="updated fade"><p><strong>All settings saved.</strong></p></div>';
		$fetch_options = unserialize($new_value);
	} else {
	
		// The option hasn't been added yet. We'll add it with $autoload set to 'no'.
		$deprecated = null;
		$autoload = 'no';
		add_option( $option_name, $new_value, $deprecated, $autoload );
		echo '<div id="message" class="updated fade"><p><strong>All settings saved.</strong></p></div>';
		$fetch_options = unserialize($new_value);
	}
}else{
	//print_r(get_option( $option_name ) );	
	$fetch_options = unserialize(get_option( $option_name ));
}

//print_r($fetch_options);

?>

<div style="clear:both">&nbsp;</div>

<div class="icon32" id="icon-options-general"><br></div>
<h2>MySiteAuditor Notification CTA Bar Settings</h2><br>
    <small><a href="https://mysiteauditor.com">Go to MySiteAuditor.com</a></small>

<div class="wrap wpp_settings_wrap">

    <div class="wpp_settings_opts">
		<form method="post" name="seogroup_seo_audit_options" id="seogroup_seo_audit_options">
        
        <!-- Embed Message Bar -->
            <div class="wpp_settings_section" id="message_bar_div">
    
                    <div class="wpp_settings_title">
					<h3>&nbsp; &nbsp;Settings</h3>
						<span class="submit">
							<input type="submit" name="saved" onclick="return frmValidate()" class="button button-primary saving" value="Save changes" />
						</span>
					<div class="clearfix"></div>
				</div>
                
                
                <div class="wpp_settings_options">
                        
                        <div class="wpp_settings_input wpp_settings_select">
                            
                            <label for="seo_audit_swtich_message_bar">Turn on or off</label>
                            <input type="radio" name="seo_audit_swtich_message_bar" <?php if($fetch_options['seo_audit_swtich_message_bar'] == 'Enable'){ echo 'checked="checked"';} ?> value="Enable" /> Enable Notification Bar &nbsp;&nbsp;
                            <input type="radio" name="seo_audit_swtich_message_bar" <?php if($fetch_options['seo_audit_swtich_message_bar'] == 'Disable' || $fetch_options['seo_audit_swtich_message_bar'] == ''){ echo 'checked="checked"';} ?> value="Disable" /> Disable Notification Bar
                            <small>You can choose to enable or disable the Notification Bar here.</small>
    
                        </div>
    
                    </div>
                
                
                
                
                	<div class="wpp_settings_options">
                        
                        <div class="wpp_settings_input wpp_settings_select">
    
                            <label for="seo_audit_message_bar_position">Notification Bar Position</label>
                            <select name="seo_audit_message_bar_position" id="seo_audit_message_bar_position">
                            	<option <?php if($fetch_options['seo_audit_message_bar_position'] == 'Top'){ ?> selected="selected" <?php } ?>value="Top">Top of Page</option>
                                <option <?php if($fetch_options['seo_audit_message_bar_position'] == 'Bottom'){ ?> selected="selected" <?php } ?>value="Bottom">Bottom of Page</option>
                            </select>
                            <small>Choose an option to show notification bar on Top/Bottom of a page.</small>
    
                        </div>
                    
                    <div class="wpp_settings_options">
                        
                        <div class="wpp_settings_input wpp_settings_select">
    
                            <label for="seo_audit_message_bar_color">Notification Bar Background <br />Color</label>
                            #<input class="color" type="text" name="seo_audit_message_bar_color" id="seo_audit_message_bar_color" value="<?php if($fetch_options['seo_audit_message_bar_color']){ echo $fetch_options['seo_audit_message_bar_color'];}else{ echo '76BC3D';} ?>" />
                            <small>Pick the color of the notification bar background.</small>
    
                        </div>
    
                    </div>
                    
                    <div class="wpp_settings_options">
                        
                        <div class="wpp_settings_input wpp_settings_select">
    
                            <label for="seo_audit_message_bar_text">Notification Bar Text</label>
                            <input type="text" name="seo_audit_message_bar_text" id="seo_audit_message_bar_text" value="<?php if($fetch_options['seo_audit_message_bar_text']){echo stripslashes($fetch_options['seo_audit_message_bar_text']);}else{echo 'We have a totally free website grader tool';} ?>" />
                            <small>Enter the notification bar text.</small>
    
                        </div>
    
                    </div>
                    
                    <div class="wpp_settings_options">
                        
                        <div class="wpp_settings_input wpp_settings_select">
    
                            <label for="seo_audit_message_bar_text_color">Notification Bar Text Color</label>
                            #<input class="color" type="text" name="seo_audit_message_bar_text_color" id="seo_audit_message_bar_text_color" value="<?php if($fetch_options['seo_audit_message_bar_text_color']){echo $fetch_options['seo_audit_message_bar_text_color'];}else{echo 'FFFFFF';} ?>" />
                            <small>Pick the color of the notification bar text.</small>
    
                        </div>
    
                    </div>
                    
                    <div class="wpp_settings_options">
                        
                        <div class="wpp_settings_input wpp_settings_select">
    
                            <label for="seo_audit_message_bar_button_text">Notification Bar Button Text</label>
                            <input type="text" name="seo_audit_message_bar_button_text" id="seo_audit_message_bar_button_text" value="<?php if($fetch_options['seo_audit_message_bar_button_text']){ echo stripslashes($fetch_options['seo_audit_message_bar_button_text']); }else{echo 'Click here to try it now!';} ?>" />
                            <small>Enter the notification bar button text.</small>
    
                        </div>
    
                    </div>
                    
                    <div class="wpp_settings_options">
                        
                        <div class="wpp_settings_input wpp_settings_select">
    
                            <label for="seo_audit_message_bar_button_link">Enter a destination URL</label>
                            <input type="text" name="seo_audit_message_bar_button_link" id="seo_audit_message_bar_button_link" value="<?php if($fetch_options['seo_audit_message_bar_button_link']){ echo stripslashes($fetch_options['seo_audit_message_bar_button_link']); }else{echo '';} ?>" />
                            <small>Add a link to your free SEO audit tool. <a href="http://mysiteauditor.com/bestpractices" target="_blank">Review our best practices</a></small>
    
                        </div>
    
                    </div>
                    
                    <div class="wpp_settings_options">
                        
                        <div class="wpp_settings_input wpp_settings_select">
    
                            <label for="seo_audit_message_bar_font_type">Pick a font for the text</label>
                            <select name="seo_audit_message_bar_font_type" id="seo_audit_message_bar_font_type">
                            	<option <?php if($fetch_options['seo_audit_message_bar_font_type'] == 'Arial'){ ?> selected="selected" <?php } ?>value="Arial">Arial</option>
                                <option <?php if($fetch_options['seo_audit_message_bar_font_type'] == 'Helvetica'){ ?> selected="selected" <?php } ?>value="Helvetica">Helvetica</option>
                                <option <?php if($fetch_options['seo_audit_message_bar_font_type'] == 'Times New Roman'){ ?> selected="selected" <?php } ?>value="Times New Roman">Times New Roman</option>
                                <option <?php if($fetch_options['seo_audit_message_bar_font_type'] == 'Georgia'){ ?> selected="selected" <?php } ?>value="Georgia">Georgia</option>
                                <option <?php if($fetch_options['seo_audit_message_bar_font_type'] == 'Covered By Your Grace'){ ?> selected="selected" <?php } ?>value="Covered By Your Grace">Covered By Your Grace</option>
                            </select>
                            <small>You can select a font for all the text on your CTA notification bar.</small>
    
                        </div>
    
                    </div>
                    
                    <!--div class="wpp_settings_options">
                        
                        <div class="wpp_settings_input wpp_settings_select">
    
                            <label for="seo_audit_message_bar_sub_text">Notification Bar Sub Text</label>
                            <input type="text" name="seo_audit_message_bar_sub_text" id="seo_audit_message_bar_sub_text" value="<?php if($fetch_options['seo_audit_message_bar_sub_text']){ echo stripslashes($fetch_options['seo_audit_message_bar_sub_text']); }else{echo 'SEO Audit tool from seogroup';} ?>" />
                            <small>Enter the notification bar sub text.</small>
    
                        </div>
    
                    </div-->
                    
                    <!--div class="wpp_settings_options">
                        
                        <div class="wpp_settings_input wpp_settings_select">
    
                            <label for="seo_audit_sub_text_color">Sub Text Color</label>
                            #<input class="color" type="text" name="seo_audit_sub_text_color" id="seo_audit_sub_text_color" value="<?php if($fetch_options['seo_audit_sub_text_color']){echo $fetch_options['seo_audit_sub_text_color'];}else{echo 'F5E477';} ?>" />
                            <small>Pick the color of the sub text.</small>
    
                        </div>
    
                    </div-->
                    
                    <div class="wpp_settings_options">
                        
                        <div class="wpp_settings_input wpp_settings_select">                            
                            <label for="show_notification_bar">Hide Notification Bar on pages</label>
                            <select multiple="multiple" name="show_notification_bar" id="show_notification_bar">
                            <?php 
								  $page_array = explode(',',$fetch_options['page_values']);
								  $hme = 'home'; $sng = 'single'; $cat = 'category'; $arch = 'archives'; $srch = 'search'; ?>
                            	  <option <?php if(in_array($hme,$page_array)){ ?>selected="selected"<?php } ?> value="home">Home Page</option>
                                  <option <?php if(in_array($sng,$page_array)){ ?>selected="selected"<?php } ?> value="single">Single Page</option>
                                  <option <?php if(in_array($cat,$page_array)){ ?>selected="selected"<?php } ?> value="category">Category Page</option>
                                  <option <?php if(in_array($arch,$page_array)){ ?>selected="selected"<?php } ?> value="archives">Archives Page</option>
                                  <option <?php if(in_array($srch,$page_array)){ ?>selected="selected"<?php } ?> value="search">Search Page</option>
                                <?php 								  								  								  
								  $pages = get_pages(); 
								  foreach ( $pages as $page ) {
									if(in_array($page->ID,$page_array)){
										$option = '<option selected="selected" value="' . $page->ID . '">';
										$option .= $page->post_title;
										$option .= '</option>';
										echo $option;
									}else{
										$option = '<option value="' . $page->ID . '">';
										$option .= $page->post_title;
										$option .= '</option>';
										echo $option;		
									}
								  }
								 ?>
                            </select>
                            <input type="hidden" name="page_values" id="page_values" value="" />
                            <small>Select pages on which you want to hide the notification bar. <br  /><br  /><label>Default shows in all pages</label>.</small>
    
                        </div>
    
                    </div>
                    
                    <div class="wpp_settings_options">
                        
                        <div class="wpp_settings_input wpp_settings_select">
    
                            <label for="seo_audit_message_bar_btnbg_color">Notification Bar Button Background Color</label>
                            #<input class="color" type="text" name="seo_audit_message_bar_btnbg_color" id="seo_audit_message_bar_btnbg_color" value="<?php if($fetch_options['seo_audit_message_bar_btnbg_color']){ echo $fetch_options['seo_audit_message_bar_btnbg_color']; }else{ echo 'F5E477';} ?>" />
                            <small>Pick the color of the notification bar button background.</small>
    
                        </div>
    
                    </div>
                    
                    <div class="wpp_settings_options">
                        
                        <div class="wpp_settings_input wpp_settings_select">
    
                            <label for="seo_audit_message_bar_btntxt_color">Notification Bar Button <br />Text Color</label>
                            #<input class="color" type="text" name="seo_audit_message_bar_btntxt_color" id="seo_audit_message_bar_btntxt_color" value="<?php if($fetch_options['seo_audit_message_bar_btntxt_color']){ echo $fetch_options['seo_audit_message_bar_btntxt_color']; }else{ echo '000000';} ?>" />
                            <small>Pick the color of the notification bar button text.</small>
    
                        </div>
    
                    </div>
                    
                    <div class="wpp_settings_options">
                        
                        <div class="wpp_settings_input wpp_settings_select">
                            
                            <label for="seo_audit_hide_on_mobile_mbar">Hide on Mobile</label>
                            <input type="checkbox" id="seo_audit_hide_on_mobile_mbar" name="seo_audit_hide_on_mobile_mbar" <?php if($fetch_options['seo_audit_hide_on_mobile_mbar'] == 'yes'){ ?> checked="checked" <?php } ?> value="yes"> &nbsp; Check to hide on mobile.
                            <small>Check this option to hide on mobile devices.</small>
    
                        </div>
    
                    </div>
                    
                    <div class="wpp_settings_input wpp_settings_select">
    
                            <label for="seo_audit_message_bar_position">Notification Bar default status</label>
                            <select name="seo_audit_message_bar_default_status" id="seo_audit_message_bar_default_status">
                            	<option <?php if($fetch_options['seo_audit_message_bar_default_status'] == 'open'){ ?> selected="selected" <?php } ?>value="open">Open</option>
                                <option <?php if($fetch_options['seo_audit_message_bar_default_status'] == 'closed'){ ?> selected="selected" <?php } ?>value="closed">Closed</option>
                            </select>
                            <small>Choose a default status for the notification bar.</small>
    
                    </div>
                    
                    <div class="wpp_settings_options">
                        
                        <div class="wpp_settings_input wpp_settings_select">
                            
                            <label for="seo_audit_message_bar_click_tracker">Click Tracker Counter</label>
                            <input type="text" id="seo_audit_message_bar_click_tracker" name="seo_audit_message_bar_click_tracker" disabled="disabled" value="<?php echo get_option('_mysiteauditor_click_tracker'); ?>" style="width:100px;" /> &nbsp;&nbsp;&nbsp;<a href="javascript:;" onclick="cntrClr()"></a>
                            <small>Shows the number of times the nar was clicked.</small>
    
                        </div>
    
                    </div>
                    
                    
                    <div class="wpp_settings_options">
                        
                        <div class="wpp_settings_input wpp_settings_select">
                            
                            <label for="seo_audit_popup_height">Save Options</label>
                            <span class="submit">
                            <input type="submit" name="saved" onclick="return frmValidate()" class="button button-primary saving" value="Save changes" />
                            </span>
                            <small>Click to Save Options</small>
    
                        </div>
    
                    </div>
                    
                    
                    </div>
    
                </div>
        
        <!-- Embed Message Bar -->
        
        
        
        </form>
	</div>
</div>

<div class="wpp_setting_right">
    <div class="wpp_settings_title">
        <h3>&nbsp; &nbsp; About MySiteAuditor</h3>
        <div class="clearfix"></div>
    </div>
    <a href="<?php echo $settingsAdLink; ?>"  class="wpp_settings_ad_link" target="_blank">
        <img class="wpp_settings_ad" src="<?php echo $settingsAdImageUrl; ?>">
    </a>
</div>

<style>
.wpp_setting_right .wpp_settings_title{
	padding:5px 0;
}
.wpp_setting_right{
    background: none repeat scroll 0 0 #FFFFFF;
    border-bottom: 1px solid #DDDDDD;
    border-left: 1px solid #DDDDDD;
	border-right: 1px solid #DDDDDD;
    float: right;
    margin-top: 20px;
    min-height: 300px;
    height: 300px;
    width: 25%;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}
.wpp_settings_ad_link {
    display: block;
}
.wpp_settings_ad{
    height: 100%;
    width: 100%;
}
#shortcode_div, #message_bar_div, #popup_onload_div{
	/*display:none;*/
}
.wpp_settings_wrap, .wpp_settings_opts{
	float:left;
    width: 100%;
}
.wpp_settings_wrap {
    width: 75%;
    margin: 0;
}
.wpp_setting_right{
    margin: 0;
}
.wpp_settings_section{
	border:1px solid #ddd;
    border-width: 0 1px 1px;
	border-bottom:0;
	background:#f9f9f9;
}
.wpp_settings_opts label{
	font-size:12px;
	font-weight:700;
	width:200px;
	display:block;
	float:left;	
}
.wpp_settings_input {
	padding:30px 10px;
	border-bottom:1px solid #ddd;
	border-top:1px solid #fff;
}
.wpp_settings_opts small{
	display:block;
	float:right;
	width:200px;
	color:#999;
}
.wpp_settings_opts input[type="text"], .wpp_settings_opts select{
	width:280px;
	font-size:12px;
	padding:4px;
	color:#333;
	line-height:1em;
	background:#f3f3f3;
}
.wpp_settings_input input:focus, .wpp_settings_input textarea:focus{
	background:#fff;
}
.wpp_settings_input textarea{
	width:280px;
	height:175px;
	font-size:12px;
	padding:4px;
	color:#333;
	line-height:1.5em;
	background:#f3f3f3;
}
.wpp_settings_title h3 {
	cursor:pointer;
	font-size:1em;
	text-transform: uppercase;
	margin:0;
	font-weight:bold;
	color:#ffffff;
	float:left;
	width:80%;
	padding:14px 4px;
}
.wpp_settings_title_top{
	cursor:pointer;
	border-bottom:1px solid #ddd;
	background:#eee;
	padding:10px;
}
.wpp_settings_title{
	cursor:pointer;
	border-bottom:1px solid #ddd;
	background:#222;
	padding:0;
}
.wpp_settings_title_top input[type="radio"], .wpp_settings_title_top span{
	float:left;

	margin:15px 5px;
	font-weight:bold;
	font-size:13px;
}
.wpp_settings_title h3 img.inactive{
	margin:-8px 10px 0 2px;
	width:32px;
	height:32px;	
	background:url("../wp-content/plugins/seo-audit-easy-embed-seogroup/images/pointer.png") no-repeat 0 0;
	float:left;
	-moz-border-radius:6px;
	border:1px solid #ccc;
	color:#fff;
}
.wpp_settings_title h3 img.active{
	margin:-8px 10px 0 2px;
	width:32px;
	height:32px;	
	background:url("../wp-content/plugins/seo-audit-easy-embed-seogroup/images/pointer.png") no-repeat  0 -32px;
	float:left;
	-moz-border-radius:6px;
	-webkit-border-radius:6px;
	border:1px solid #ccc;
}		
.wpp_settings_title h3:hover img{
	border:1px solid #999;
}
.wpp_settings_title span.submit{
	display:block;
	float:right;
	margin:0;
	padding:0;
	width:15%;
	padding:14px 0;
}
.clearfix{
	clear:both;
}
.wpp_settings_table th, .wpp_settings_table td{
	border:1px solid #bbb;
	padding:10px;
	text-align:center;
}
.wpp_settings_table th, .wpp_settings_table td.feature{
	border-color:#888;
}
.wpp_settings_options{
	display: block;
}

.wp-core-ui button.saving, .wp-core-ui button.saving, .wp-core-ui button.saving, .button-primary {
    background: linear-gradient(to bottom, #FF3232 0%, #B50000 100%) repeat scroll 0 0 transparent !important;
    border: 1px solid #FF3232 !important;
    color: #FFFFFF !important;
	cursor:pointer!important;
}

.fancybox-custom .fancybox-skin {
	box-shadow: 0 0 50px #222;
}

@media (max-width: 1212px){
    .wpp_settings_wrap{
        width: 100%;
    }
    .wpp_setting_right{
        float:left;
    }
}
</style>

<script>
jQuery(document).ready(function(){
		//jQuery('.wpp_settings_options').slideUp();
});

function frmValidate(){
	var frm = document.seogroup_seo_audit_options;
	
	var selMulti = jQuery.map(jQuery("#show_notification_bar option:selected"), function (el, i) {
         return jQuery(el).val();
     });
     
	 document.getElementById('page_values').value=selMulti.join(",");
	
	if(!frm.seo_audit_message_bar_text.value){
		alert('Please enter the Notification Bar Text');
		frm.seo_audit_message_bar_text.focus();
		return false;
	}else if(!frm.seo_audit_message_bar_button_text.value){
		alert('Please enter the Notification Bar Button Text');
		frm.seo_audit_message_bar_button_text.focus();
		return false;
	}
}

function cntrClr(){
	var r=confirm("Are you sure you want to clear the trackers counter?");
	if(r==true){
  		jQuery.ajax({			
			type: "GET",
			url: "../wp-content/plugins/MySiteAuditor-Notification-Bar/mysiteauditor_ajax.php",
			async: false,
			data: {
				flg: "clear_counter"
				},
			success: function (responseData){
				alert("Counter cleared successfully!");
				document.getElementById('seo_audit_message_bar_click_tracker').value=0;
				return false;
			}
			});
  	}else{
  		//alert("You pressed Cancel!");
  	}	
}

</script>
</div>